# Class SkySurfaceFactory.Profile

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.SkySurfaceFactory.Profile

Enclosing class:
  `SkySurfaceFactory`

public static class SkySurfaceFactory.Profile extends Object
Profile class which defines fixed configuration items for a SkySurface. Instances of this class are normally obtained from the `createProfile` method.

Since:
  20 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Profile(Projection projection, boolean reflect, SkySys viewSystem, boolean grid, SkyAxisLabeller axisLabeller, Color gridColor, Color axlabelColor, Color scalebarColor, boolean sex, double crowd, Captioner captioner, boolean antialias)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Projection`
`getProjection()`
Returns the sky projection used by this profile.
`SkySys`
`getViewSystem()`
Returns the sky system into which coordinates are projected.
`boolean`
`isReflected()`
Indicates whether longitude runs right to left in this profile.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Profile

public Profile(Projection projection, boolean reflect, SkySys viewSystem, boolean grid, SkyAxisLabeller axisLabeller, Color gridColor, Color axlabelColor, Color scalebarColor, boolean sex, double crowd, Captioner captioner, boolean antialias)
Constructor.

Parameters:
  `projection` - sky projection
  `reflect` - whether to run lon axis right to left
  `viewSystem` - sky system into which coordinates are projected
  `grid` - whether to draw coordinate grid
  `axisLabeller` - sky axis labelling object
  `gridColor` - colour of grid lines
  `axlabelColor` - colour of axis labels
  `scalebarColor` - colour of scale bar
  `sex` - whether to use sexagesimal coordinates
  `crowd` - tick mark crowding factor, 1 is normal
  `captioner` - text rendering object
  `antialias` - whether to antialias grid lines

## Method Details

### getProjection

public Projection getProjection()
Returns the sky projection used by this profile.

Returns:
  projection

### isReflected

public boolean isReflected()
Indicates whether longitude runs right to left in this profile.

Returns:
  true for longitude right to left, false for left to right

### getViewSystem

public SkySys getViewSystem()
Returns the sky system into which coordinates are projected.

Returns:
  sky view system